cd src

IF NOT EXIST ..\build mkdir ..\build

javac -d ..\build ca\ualberta\cs\poker\free\client\*.java

javac -d ..\build ca\ualberta\cs\poker\free\server\*.java

javac -d ..\build ca\ualberta\cs\poker\free\dynamics\*.java

cd ..\build

IF NOT EXIST ..\dist mkdir ..\dist

jar cf ..\dist\pokerserver.jar ca

cd ..\src

IF NOT EXIST ..\docs mkdir ..\docs

javadoc -d ..\docs -subpackages ca.ualberta.cs.poker.free.client ca.ualberta.cs.poker.free.server ca.ualberta.cs.poker.free.dynamics 

cd ..

copy dist\pokerserver.jar examples\randomclient

copy dist\pokerserver.jar examples\server


